<script>
import pagination from "laravel-vue-pagination";
import { error_message, success_message } from "../../Helper/helper";
import Layouts from '../settings/web-layout-setting/layouts.vue';
import config from '../../config';
import { routes } from "../../config/api_routes";
import { webLayoutService } from '../../services';


  /**
   * Customers component
   */
  export default {
    components: { pagination },
    props:["webOrderingLink"],
    data(){
        return{
            config:config,
            code:"",
            widget_code_snippet: "",
            widget_code:"",
            clientId:"",
            logo:"../../../../public/images/sales_channels/logo.jpg",
            appname: window.appname
        }   
    },
    mounted(){        
        this.clientId = this.$auth.getClientId();        
        this.widget_code_snippet = "&#x3C;!-- Start of "+this.appname+" widget script --&#x3E; <br> <span class='pln'> &#x3C;script type=&#x27;text/javascript&#x27; src=&#x27;"+this.config.appurl+"widget?key="+btoa(this.clientId)+"&#x27;&#x3E;&#x3C;/script&#x3E; </span> <br> &#x3C;!-- End of "+this.appnname+" widget script --&#x3E;";
        this.widget_code = '&#x3C;!-- Start of "'+this.appname+'" widget script --&#x3E; &#x3C;script type="text/javascript" src="'+this.config.appurl+'widget?key='+btoa(this.clientId)+'"&#x3E;&#x3C;/script&#x3E; &#x3C;!-- End of "'+this.appname+'" widget script --&#x3E;';
    },
    methods:{
        copy_code(){
            let decoder = this.$refs.custome_code_design.innerText;
            let lth = decoder.replaceAll('&#x3C;', '<');
            let gth = lth.replaceAll('&#x3E;', '>');
            var temp = $("<input>");
            temp.attr('id','bodyappend');
            $("body").append(temp);
            temp.val(gth).select();
            document.execCommand("copy");
            document.getSelection().removeAllRanges();    
            success_message('Copy Successfully');
            $('#bodyappend').remove();
        },
        decodeHTML(html){
            var txt = document.createElement('textarea');
            txt.innerHTML = html;
	        return txt.value;
        },      
        copy_client_url(){
            var Url = this.$refs.text;
            Url.innerHTML = this.webOrderingLink;
            Url.select();
            document.execCommand("copy");
            document.getSelection().removeAllRanges();    
            success_message('Copy Successfully');
        },
        getBase64(value){
            return btoa(value || '')
        }
    },  
  };

</script>
<template>
    <div>
        <b-container class="bv-example-row p-0">
            <b-row class="text-center">
                <b-col cols="12" class="p-0">
                    <b-col cols="12">
                        <div class="card">
                            <div class="card-body">
                                <b-container fluid>
                                    <b-row class="text-left">
                                        <b-col cols="12">
                                            <h5 class="mt-4"><b-avatar variant="info" :src="logo" class="custom_avt"></b-avatar> {{trans.get('__JSON__.Order Widget')}}</h5>                            
                                            <p class="mt-3">{{trans.get('__JSON__.Install Ordering Widget on Your Website')}} </p>
                                            <p>{{trans.get('__JSON__.Very Easy to Install Ordering Widget on your website without affecting other part of website. Just follow this step. After installation you will see order button at Bottom right Corner of your website')}}.</p>
                                            <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 1')}}</h5>
                                            <p class="mb-4">{{trans.get('__JSON__.Add your Website here')}} </p>
                                            <div class="d-flex">
                                                <h5><b-alert show variant="primary" style="border-style: dotted;" id="website_url" ><input type="text" readonly ref="text" class="input_clipboard" :value="webOrderingLink">  <i class="fas fa-copy pl-2" @click="copy_client_url()"></i></b-alert></h5>
                                                <a :href="'https://'+webOrderingLink" target="_blank" class="link-bind"><i class="bx bx-link-external text-white font-size-20"></i></a>                                                
                                            </div>
                                        </b-col>
                                    </b-row>
                                    <b-row class="text-left">
                                        <b-col cols="12">
                                            <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 2')}}</h5>
                                            <p class="mb-4">{{trans.get('__JSON__.Set Color & Test')}} </p>
                                            <b-form-input id="website_url" type="color" value="#ef745e"></b-form-input>
                                        </b-col>
                                    </b-row>
                                    <b-row class="text-left">
                                        <b-col cols="12">
                                            <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 3')}}</h5>
                                            <p class="mb-4">{{trans.get('__JSON__.Copy Below Code')}}  </p>
                                            <div class="custome_code_design mb-2" ref="custome_code_design">
                                                <div class="float-right">
                                                    <i class="fas fa-copy pl-2" @click="copy_code()"></i>
                                                </div>
                                                <code class="block whitespace-pre overflow-x-scroll copycode" v-html="widget_code_snippet" /> <br>
                                            </div>
                                            <input type="hidden" id="ScriptCode" ref="scriptcode"/>
                                            <div class="widgetcopycode" style="display:none">
                                                {{widget_code}}
                                            </div>
                                        </b-col>
                                    </b-row>
                                </b-container>
                            </div>
                        </div>
                    </b-col>
                </b-col>
            </b-row>
        </b-container>
    </div>
</template>

<style scoped>
.input_clipboard{
    width: 370px;
    border: none;
    background: #dde2fa;
    outline: none;
}
.main_layout{
    height: 80vh;
    overflow-x: scroll;
}
.custome_code_design{
    height: 125px;
    background: #eee;
    padding: 10px;
    border-radius: 10px;
}
.custom_avt{
    width: 26px!important;
    height: 25px!important;
}
.link-bind{
    height: 47px;
    width: 47px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #556ee6;
    margin-left: 10px;
    border-radius: 5px;
}
</style>